Bug 178615 - [update]: graphics/scantailor fixed plist
Summary: [update]: graphics/scantailor fixed plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-14 08:00 UTC by Veniamin
Modified: 2013-05-15 06:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.84 KB, patch)
2013-05-14 08:00 UTC, Veniamin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Veniamin 2013-05-14 07:56:53 UTC
>Number:         178615
>Category:       ports
>Synopsis:       [update]: graphics/scantailor fixed plist
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Tue May 14 07:00:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     Veniamin Gvozdikov
>Release:        FreeBSD 9.1-RELEASE
>Organization:
>Environment:
FreeBSD ololo 9.1-RELEASE FreeBSD 9.1-RELEASE #0 r243825: Tue Dec  4 09:23:10 UTC 2012     root@farrell.cse.buffalo.edu:/usr/obj/usr/src/sys/GENERIC  amd64
>Description:
Fixed plist.
>How-To-Repeat:

>Fix:
diff -ruN scantailor.orig/Makefile scantailor/Makefile
--- scantailor.orig/Makefile	2013-05-14 10:53:54.802912420 +0400
+++ scantailor/Makefile	2013-05-13 21:32:54.510448247 +0400
@@ -3,6 +3,7 @@
 
 PORTNAME=	scantailor
 PORTVERSION=	0.9.11
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
@@ -11,9 +12,9 @@
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
-		tiff.4:${PORTSDIR}/graphics/tiff \
-		jbig.1:${PORTSDIR}/graphics/jbigkit \
+LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
+		tiff:${PORTSDIR}/graphics/tiff \
+		jbig:${PORTSDIR}/graphics/jbigkit \
 		png15:${PORTSDIR}/graphics/png
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/shared_ptr.hpp:${PORTSDIR}/devel/boost-libs
 
diff -ruN scantailor.orig/pkg-descr scantailor/pkg-descr
--- scantailor.orig/pkg-descr	2013-05-14 10:53:54.802912420 +0400
+++ scantailor/pkg-descr	2013-05-13 21:33:26.873909096 +0400
@@ -3,4 +3,4 @@
 garbage. All operations can be done automatically, however it's still
 possible to manually correct their results
 
-WWW:	http://scantailor.sourceforge.net/
+WWW: http://scantailor.sourceforge.net/
diff -ruN scantailor.orig/pkg-plist scantailor/pkg-plist
--- scantailor.orig/pkg-plist	2013-05-14 10:53:54.802912420 +0400
+++ scantailor/pkg-plist	2013-05-13 21:32:34.054909923 +0400
@@ -3,12 +3,14 @@
 %%DATADIR%%/translations/scantailor_bg.qm
 %%DATADIR%%/translations/scantailor_cs.qm
 %%DATADIR%%/translations/scantailor_de.qm
+%%DATADIR%%/translations/scantailor_es.qm
 %%DATADIR%%/translations/scantailor_fr.qm
 %%DATADIR%%/translations/scantailor_it.qm
 %%DATADIR%%/translations/scantailor_ja.qm
 %%DATADIR%%/translations/scantailor_pl.qm
 %%DATADIR%%/translations/scantailor_ru.qm
 %%DATADIR%%/translations/scantailor_sk.qm
+%%DATADIR%%/translations/scantailor_uk.qm
 %%DATADIR%%/translations/scantailor_zh_TW.qm
 @dirrm %%DATADIR%%/translations
 @dirrm %%DATADIR%%

>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 Veniamin 2013-05-14 08:00:00 UTC
Fixed plist.
Comment 2 Raphael Kubo da Costa freebsd_committer 2013-05-14 20:13:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-05-14 20:13:24 UTC
Author: rakuco
Date: Tue May 14 19:13:10 2013
New Revision: 318189
URL: http://svnweb.freebsd.org/changeset/ports/318189

Log:
  - Fix plist.
  - Remove numbers from the dependencies.
  - Adjust URL in pkg-descr to the new format.
  
  PR:		ports/178615
  Submitted by:	Veniamin Gvozdikov <g.veniamin@googlemail.com> (maintainer)

Modified:
  head/graphics/scantailor/Makefile
  head/graphics/scantailor/pkg-descr
  head/graphics/scantailor/pkg-plist

Modified: head/graphics/scantailor/Makefile
==============================================================================
--- head/graphics/scantailor/Makefile	Tue May 14 19:12:23 2013	(r318188)
+++ head/graphics/scantailor/Makefile	Tue May 14 19:13:10 2013	(r318189)
@@ -3,6 +3,7 @@
 
 PORTNAME=	scantailor
 PORTVERSION=	0.9.11
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	SF
 
@@ -11,9 +12,9 @@ COMMENT=	Scan Tailor is an interactive p
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	jpeg.11:${PORTSDIR}/graphics/jpeg \
-		tiff.4:${PORTSDIR}/graphics/tiff \
-		jbig.1:${PORTSDIR}/graphics/jbigkit \
+LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
+		tiff:${PORTSDIR}/graphics/tiff \
+		jbig:${PORTSDIR}/graphics/jbigkit \
 		png15:${PORTSDIR}/graphics/png
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/shared_ptr.hpp:${PORTSDIR}/devel/boost-libs
 

Modified: head/graphics/scantailor/pkg-descr
==============================================================================
--- head/graphics/scantailor/pkg-descr	Tue May 14 19:12:23 2013	(r318188)
+++ head/graphics/scantailor/pkg-descr	Tue May 14 19:13:10 2013	(r318189)
@@ -3,4 +3,4 @@ It performs operations such as page spli
 garbage. All operations can be done automatically, however it's still
 possible to manually correct their results
 
-WWW:	http://scantailor.sourceforge.net/
+WWW: http://scantailor.sourceforge.net/

Modified: head/graphics/scantailor/pkg-plist
==============================================================================
--- head/graphics/scantailor/pkg-plist	Tue May 14 19:12:23 2013	(r318188)
+++ head/graphics/scantailor/pkg-plist	Tue May 14 19:13:10 2013	(r318189)
@@ -3,12 +3,14 @@ bin/scantailor-cli
 %%DATADIR%%/translations/scantailor_bg.qm
 %%DATADIR%%/translations/scantailor_cs.qm
 %%DATADIR%%/translations/scantailor_de.qm
+%%DATADIR%%/translations/scantailor_es.qm
 %%DATADIR%%/translations/scantailor_fr.qm
 %%DATADIR%%/translations/scantailor_it.qm
 %%DATADIR%%/translations/scantailor_ja.qm
 %%DATADIR%%/translations/scantailor_pl.qm
 %%DATADIR%%/translations/scantailor_ru.qm
 %%DATADIR%%/translations/scantailor_sk.qm
+%%DATADIR%%/translations/scantailor_uk.qm
 %%DATADIR%%/translations/scantailor_zh_TW.qm
 @dirrm %%DATADIR%%/translations
 @dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"